#
# spec file for package t1utils
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           t1utils
Version:        1.42
Release:        1.13
Summary:        A collection of simple type-1 font manipulation programs
License:        ISC
Group:          Productivity/Publishing/PS
URL:            https://www.lcdf.org/type/#t1utils
Source0:        https://www.lcdf.org/type/t1utils-%{version}.tar.gz

%description
The t1utils are a collection of simple type-1 font manipulation programs.
Together, they allow you to convert between PFA (ASCII) and PFB
(binary) formats, disassemble PFA or PFB files into human-readable
form, and reassemble them into PFA or PFB format. Additionally, you can
extract font resources from a Macintosh font file (ATM/Laserwriter) or
create a Macintosh Type 1 font file from a PFA or PFB font.

%prep
%setup -q

%build
rm -f config.cache
# update config.{guess,sub}
%configure
%make_build

%install
%make_install

%files
%doc NEWS.md README.md
%{_bindir}/t1ascii
%{_bindir}/t1binary
%{_bindir}/t1asm
%{_bindir}/t1disasm
%{_bindir}/t1unmac
%{_bindir}/t1mac
%{_mandir}/man1/t1asm.1%{?ext_man}
%{_mandir}/man1/t1disasm.1%{?ext_man}
%{_mandir}/man1/t1unmac.1%{?ext_man}
%{_mandir}/man1/t1mac.1%{?ext_man}
%{_mandir}/man1/t1ascii.1%{?ext_man}
%{_mandir}/man1/t1binary.1%{?ext_man}

%changelog
* Sun Feb 21 2021 Dave Plater <davejplater@gmail.com>
- Update to 1.42 to fix t1asm seg fault in lilypond's Factory build
  See: boo#1182596 and
  https://github.com/kohler/lcdf-typetools/issues/8
* Mon Aug 24 2020 Dirk Mueller <dmueller@suse.com>
- update to 1.41:
  * t1asm, t1disasm: More security fixes.
  * t1disasm: More security fixes reported by Jakub Wilk and Niels Thykier.
* Sat Mar 28 2015 mpluskal@suse.com
- Update to 1.39
  * t1disasm: Security fixes for buffer overrun reported by Jakub
    Wilk and Niels Thykier
* Fri Mar 27 2015 p.drouand@gmail.com
- Update to version 1.38
  * t1disasm: Fix an infinite loop on some fonts
-Changes from version 1.37
  * t1asm: Use a dynamically allocated buffer to handle huge characters
- Remove obsolete AUTHORS section
- Use %%configure macro
- Do not copy INSTALL into the doc directory
* Thu Mar 29 2012 cfarrell@suse.com
- license update: ISC
  Obligations most akin to ISC license (http://www.spdx.org/licenses/ISC)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Sun Sep 26 2010 mrdocs@opensuse.org
-version bump to 1.36
-Add '--enable-multiplatform'
-(For details please read the NEWS file)
-t1disasm: Avoid memory corruption bug (strings passed to eexec_line are
  not null terminated).  Reported by Werner Lemberg.
- Several minor cleanups
- drop patch now upstream
* Fri Dec 18 2009 jengelh@medozas.de
- enable parallel building
* Sun Jun  7 2009 ro@suse.de
- rename getline to my_getline to avoid collision with function
  from glibc
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Mar 25 2004 kukuk@suse.de
- Cleanup neededforbuild
- Don't build as root
* Sun Aug 11 2002 mfabian@suse.de
- update to 1.26
  * t1mac: Fix buglet (C++ comment, and temporary file left behind). Reported
    by Vladimir Volovich <vvv@vsu.ru>.
  * t1asm: Beware extra characters after `currentfile closefile'. Reported by
    Luc Devroye <luc@cs.mcgill.ca>.
  * Fixed compilation bugs on various platforms reported by Nelson H. F.
    Beebe <beebe@math.utah.edu>.
* Tue Nov 13 2001 mfabian@suse.de
- update to t1utils-1.23
  - Fixed Macintosh file bugs
  - Fixed bug on processing PFA fonts with DOS line endings.
  - t1ascii, t1asm, t1unmac: Raised minimum PFA line length to 8.
  (For details please read the NEWS file).
* Mon May  7 2001 mfabian@suse.de
- bzip2 sources
* Fri Dec  1 2000 Mike Fabian <mfabian@suse.de>
- new package: t1utils-1.20
